EMF::EMRSELECTOBJECT Class Reference

EMF Select Object. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSELECTOBJECT:

## Public Member Functions

| EMRSELECTOBJECT (HGDIOBJ object)
| EMRSELECTOBJECT (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Select Object.

Activate (make current) the given object, such as a pen, brush or font.

## Constructor & Destructor Documentation

## EMRSELECTOBJECT() [1/2]

EMF::EMRSELECTOBJECT::EMRSELECTOBJECT | ( | HGDIOBJ | object | ) |

inline

Parameters

  object | the object to make active.

References EMRSELECTOBJECT().

Referenced by EMRSELECTOBJECT().

## EMRSELECTOBJECT() [2/2]

EMF::EMRSELECTOBJECT::EMRSELECTOBJECT | ( | DATASTREAM & | ds | ) |

inline

Construct a SelectObject record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRSELECTOBJECT::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

References EMF::METAFILEDEVICECONTEXT::emf_handles.

## serialize()

bool EMF::EMRSELECTOBJECT::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRSELECTOBJECT::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following files:

- libemf.h
- libemf.cpp